# `ngBindHtmlUnsafe` (directive in module `ng` )

Improve this doc

## Description

Creates a binding that will innerHTML the result of evaluating the `expression` into the current element. The innerHTML-ed content will not be sanitized! You should use this directive only if ngBindHtml directive is too restrictive and when you absolutely trust the source of the content you are binding to.

See $sanitize docs for examples.

## Usage

as attribute

    <ANY ng-bind-html-unsafe="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-bind-html-unsafe: {expression};">
       ...
    </ANY>

### Parameters

- `ngBindHtmlUnsafe – {expression} –`

  Expression to evaluate.